Skip to content
Open the portal
Developer docs

Edit Notice

PATCH
/v1/notices/{notice_id}
curl --request PATCH \
--url https://example.com/v1/notices/example \
--header 'Content-Type: application/json' \
--data '{ "content": { "title": "example", "decision_summary": [ { "statement": "example", "source": "example" } ], "role_of_automated_system": [ { "statement": "example", "source": "example" } ], "main_factors": [ { "statement": "example", "source": "example" } ], "inputs_used": [ { "statement": "example", "source": "example" } ], "how_to_request_inputs": "example", "rights": [ "example" ], "human_review_available": true, "how_to_request_review": "example", "deadline_note": "example", "framework": "example", "language": "en" } }'
notice_id
required
Notice Id
string
Media typeapplication/json
ContentPatch
object
content
required
NoticeContent
object
title
required
Title
string
decision_summary
required
Decision Summary

What was decided about the person, in plain language.

Array<object>
Cited
object
statement
required
Statement

One plain-language sentence.

string
source
required
Source

The record field path this sentence is derived from, e.g. events.policy_eval.policy_id, outcome.category, approval.authority.

string
role_of_automated_system
required
Role Of Automated System

What the automated system did and what humans did.

Array<object>
Cited
object
statement
required
Statement

One plain-language sentence.

string
source
required
Source

The record field path this sentence is derived from, e.g. events.policy_eval.policy_id, outcome.category, approval.authority.

string
main_factors
required
Main Factors

The main elements the decision rested on, each with its source field.

Array<object>
Cited
object
statement
required
Statement

One plain-language sentence.

string
source
required
Source

The record field path this sentence is derived from, e.g. events.policy_eval.policy_id, outcome.category, approval.authority.

string
inputs_used
required
Inputs Used

What categories of information were used.

Array<object>
Cited
object
statement
required
Statement

One plain-language sentence.

string
source
required
Source

The record field path this sentence is derived from, e.g. events.policy_eval.policy_id, outcome.category, approval.authority.

string
how_to_request_inputs
required
How To Request Inputs
string
rights
required
Rights

The person’s rights under the named framework and how to exercise them.

Array<string>
human_review_available
required
Human Review Available
boolean
how_to_request_review
required
How To Request Review
string
deadline_note
Any of:
string
framework
required
Framework
string
language
Language
string
default: en

Successful Response

Media typeapplication/json
Response Edit Notice V1 Notices Notice Id Patch
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}